package com.unis.base.server.domain;

import java.util.ArrayList;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import com.unis.base.common.vo.TyLqmxxxVO;
import com.unis.base.server.dao.TyLqmxxxDao;
import com.unis.base.server.entity.TyLqmxxxDO;
import com.unis.common.utils.LsBeanUtils;
import org.springframework.stereotype.Component;

/**
 * @author huangxing
 * @version 1.0
 * @Title TyLqmxxxDomain
 * @ProjectName 持久化
 * @Description
 * @date 2019/07/22 17点26分
 */
@Component
public class TyLqmxxxDomain extends BaseDomain {

	@Autowired
	private TyLqmxxxDao tyLqmxxxMapper;

	/**
	 *
	 * @param TyLqmxxxVO
	 * @return
	 */
	public List<TyLqmxxxVO> getTyLqmxxxList(TyLqmxxxVO tyLqmxxxVO) {
		TyLqmxxxDO lqmxxxDO = new TyLqmxxxDO();
		//进行传递参数copy
		LsBeanUtils.copyAllProperties(tyLqmxxxVO, lqmxxxDO);
		List<TyLqmxxxVO> tyLqmxxxVOList = new ArrayList<TyLqmxxxVO>();

		for (TyLqmxxxDO tyLqmxxxDO : tyLqmxxxMapper.selectAlls(lqmxxxDO)) {
			LsBeanUtils.copyAllProperties(tyLqmxxxDO,tyLqmxxxVO);
			tyLqmxxxVOList.add(tyLqmxxxVO);
		}
		return tyLqmxxxVOList;
	}

	/**
	 *
	 * @param TyLqmxxxVO
	 * @return
	 */
	public int insert(TyLqmxxxVO tyLqmxxxVO) {
		//进行传递参数copy
		TyLqmxxxDO tyLqmxxxDO = new TyLqmxxxDO();
		LsBeanUtils.copyAllProperties(tyLqmxxxVO, tyLqmxxxDO);
		return tyLqmxxxMapper.insert(tyLqmxxxDO);
	}

	/**
	 *
	 * @param lqid
	 * @return
	 */
	public TyLqmxxxVO getTyLqmxxxById(String lqid) {
		TyLqmxxxVO tyLqmxxxVO = new TyLqmxxxVO();
		LsBeanUtils.copyAllProperties(tyLqmxxxMapper.selectByKey(lqid), tyLqmxxxVO);
		return tyLqmxxxVO;
	}

	/**
	 *
	 * @param TyLqmxxxVO
	 * @return
	 */
	public int update(TyLqmxxxVO tyLqmxxxVO) {
		//进行传递参数copy
		TyLqmxxxDO tyLqmxxxDO = new TyLqmxxxDO();
		LsBeanUtils.copyAllProperties(tyLqmxxxVO,tyLqmxxxDO);
		return tyLqmxxxMapper.updateByPrimaryKey(tyLqmxxxDO);
	}

}
